#
# spec file for package gftp
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gftp
Version:        2.0.19
Release:        30.7
Summary:        Multithreaded File Transfer Client
License:        GPL-2.0+
Group:          Productivity/Networking/Ftp/Clients
Url:            http://www.gftp.org/
Source0:        %{name}-%{version}.tar.bz2
Source1:        gftp.appdata.xml
BuildRequires:  fdupes
BuildRequires:  gtk2-devel
BuildRequires:  openssl-devel
BuildRequires:  readline-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Requires:       %{name}-common = %{version}
Supplements:    packageand(%{name}-common:gtk2)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GFTP is a free multithreaded file transfer client for *NIX based
machines, with advanced features.

%package common
Summary:        Multithreaded File Transfer Client - Common Files
Group:          Productivity/Networking/Ftp/Clients
Recommends:     %{name}-common-lang

%description common
GFTP is a free multithreaded file transfer client for *NIX based
machines, with advanced features.

%package text
Summary:        Multithreaded File Transfer Client - Text UI
Group:          Productivity/Networking/Ftp/Clients
Requires:       %{name}-common = %{version}
Enhances:       %{name}-common

%description text
GFTP is a free multithreaded file transfer client for *NIX based
machines, with advanced features.

This package contains a text user interface, that can be used
without a graphical environment.

%lang_package -n gftp-common
%prep
%setup -q
translation-update-upstream

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%suse_update_desktop_file -N gFTP -G "File Transfer" -r %{name} Network FileTransfer
# rename sr@Latin to sr@latin
mv %{buildroot}%{_datadir}/locale/sr@Latn %{buildroot}%{_datadir}/locale/sr@latin
# Drop version of COPYING installed by package
rm %{buildroot}%{_datadir}/gftp/COPYING
%find_lang %{name} %{?no_lang_C}
if [ -f %{buildroot}%{_datadir}/appdata/gftp.appdata.xml ]; then
  echo "Please remove the added gftp.appdata.xml file from the sources - the tarball installs it"
  false
else
  mkdir -p %{buildroot}%{_datadir}/appdata
  cp %{SOURCE1} %{buildroot}%{_datadir}/appdata/
fi
%fdupes -s %{buildroot}

%if 0%{?suse_version} > 1130
%post
%desktop_database_post
%endif

%if 0%{?suse_version} > 1130
%postun
%desktop_database_postun
%endif

%files
%defattr(-, root, root)
%{_bindir}/gftp-gtk
%dir %{_datadir}/appdata
%{_datadir}/appdata/gftp.appdata.xml
%{_datadir}/applications/gftp.desktop
%{_datadir}/gftp/*.png
%{_datadir}/gftp/*.svg
%{_datadir}/gftp/*.xpm
%{_datadir}/pixmaps/*.png

%files common
%defattr(-, root, root)
%doc ChangeLog COPYING README README.html THANKS TODO docs/USERS-GUIDE
%{_bindir}/gftp
%dir %{_datadir}/gftp
%{_datadir}/gftp/bookmarks
%{_datadir}/gftp/gftprc
%doc %{_mandir}/man?/*.*

%files text
%defattr(-, root, root)
%{_bindir}/gftp-text

%files common-lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Oct 19 2014 dimstar@opensuse.org
- Add gftp.appdata.xml: allow gFTP to show up as an application in
  gnome-software (installation will abort when upstream ships the
  file).
- Run spec-cleaner.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Fri Jun  4 2010 coolo@novell.com
- fix requires for lang subpackage
* Sun Dec 27 2009 vuntz@opensuse.org
- Reorganize spec file.
- Use makeinstall macro.
- Remove unneeded docbook-toys, indent, jadetex, texlive,
  texlive-latex, texlive-latex-doc BuildRequires.
- Split package in gftp, gftp-text and gftp-common subpackages,
  with appropriate Supplements/Enhances.
- Do not generate gftp-faq files: the README files have the same
  content.
* Tue Aug  4 2009 dominique-obs@leuenberger.net
- Update to version 2.0.19:
  + Cleanups to the networking code
  + Fixed several segfaults.
  + Several i18n fixes
  + Added support for wildcard SSL certificates
  + Fixes for downloading files using SFTP where the user doesn't
    have write access to the file.
  + Disable some features of the remote FTP server is a VMS server
    or OS/400
  + Fixed Solaris compile problem and pty issue under HPUX
  + Updated to use FSPLIB 0.9
  + Added Tango styled icon theme
  + The menus are now a little closer to other GNOME applications
  + Updated translations.
- Removed AutoReqProv: on; it's default now.
- Drop all patches. Some have been upstreamed, none apply. Getting
  back to a pure upstream package.
- Refactor the change from sr@Latn to sr@latin.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Wed Feb 11 2009 ro@suse.de
- use sr@latin instead of sr@Latn
* Wed Dec 10 2008 sbrabec@suse.cz
- Fixed freezes when site is unreachable. (bnc#160978)
* Wed Mar 19 2008 maw@suse.de
- Require texlive-latex and texlive-latex-doc to build
- Build with -fno-strict-aliasing.
* Tue Jan 29 2008 mauro@suse.de
- Added tango-icon-2.0.18.patch, including the lastest gftp icon
  from bgo #370627, bnc #155435
* Thu Aug  9 2007 maw@suse.de
- Fix up the lang subpackage.
* Tue Aug  7 2007 mauro@suse.de
- Split out a -lang subpackage
- Add %%fdupes stuff
* Wed Aug  1 2007 sbrabec@suse.cz
- Fixed FSP buffer overflows (#295068,
  CVE-2007-3961, CVE-2007-3962).
* Wed May 30 2007 sbrabec@suse.cz
- Require jadetex for build.
* Thu Apr 26 2007 ro@suse.de
- build with texlive
* Mon Apr 23 2007 sbrabec@suse.cz
- Desktop Categories changed to Network;FileTransfer (#266854).
* Fri Dec 29 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Dec 21 2006 maw@suse.de
- Fix a potential buffer overflow bug (strncat.patch).
* Mon Dec 18 2006 maw@suse.de
- Make gftp find its license (#227368)
* Thu May 18 2006 sreeves@suse.de
- Fix for 6396 - delete tmp files
  Fix for 176373 - Poor application categories
* Fri May  5 2006 sreeves@suse.de
- Fix for 167218 - change name
* Mon Feb 20 2006 mmarek@suse.cz
- fix array subscript out of range in fsp implementation
  [#150399] (overflow.patch)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 sreeves@suse.de
- Fix Defect#9461 - now shows busy cursor on connection operations
* Thu Jun 16 2005 sbrabec@suse.cz
- Build documentation (#6912).
- Build with SSL support.
* Mon Feb  7 2005 sbrabec@suse.cz
- Updated to version 2.0.18.
* Thu Jan 20 2005 sbrabec@suse.cz
- Fixed download path directory traversal bug (7a69Adv#17, #49572).
* Tue Nov  2 2004 mmj@suse.de
- Locale rename no to nb
* Tue Aug 24 2004 sbrabec@suse.cz
- Updated to version 2.0.17.
* Mon Aug  2 2004 ro@suse.de
- recode desktop file to utf-8
* Tue Jun 22 2004 hhetter@suse.de
- apply 64bit patches from CVS, make it work on x86_64
* Tue Mar 16 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Thu Feb  5 2004 sbrabec@suse.cz
- Updated to version 2.0.16.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sun Sep  7 2003 adrian@suse.de
- add Categories
* Mon Aug 25 2003 sbrabec@suse.cz
- Updated to version 2.0.15.
* Thu Aug  7 2003 sbrabec@suse.cz
- Updated to version 2.0.15rc1.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Feb 10 2003 sbrabec@suse.cz
- Install fix - added missing RPM_BUILD_ROOT.
* Mon Feb 10 2003 sbrabec@suse.cz
- Use GTK2 interface.
* Tue Dec 10 2002 sbrabec@suse.cz
- Updated to version 2.0.14.
- Added buildroot install.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Jul 23 2002 uli@suse.de
- update -> 2.0.13 (improvements to the text port, ability to parse
  Cray FTP directory listings, many fixes, improved user interface)
* Mon Jun 10 2002 uli@suse.de
- update -> 2.0.12 (fixed several memory leaks, HTTP proxy fixups,
  fixed bug with throttling of connections not working in some cases,
  fixed wrong time remaining for interrupted transfers, added option
  to only show selected files, cleanups to cache, fixed crash in
  view file, fixed crash in toolbar, updates to Compare Windows
  feature, password is no longer shown in the log window for HTTP
  protocol)
* Tue Apr 23 2002 uli@suse.de
- update -> 2.0.11 (fixes bug #14271)
* Fri Dec  7 2001 uli@suse.de
- update -> 2.0.9
* Wed May  9 2001 mfabian@suse.de
- bzip2 sources
* Thu Apr 26 2001 uli@suse.de
- update -> 2.0.8 (secfix)
* Thu Mar  8 2001 uli@suse.de
- fixed filelist
* Mon Nov  6 2000 ro@suse.de
- fixed neededforbuild
* Mon Sep  4 2000 hhetter@suse.de
- removed requires : gncore
- added neededforbuild: gncore
* Fri Sep  1 2000 hhetter@suse.de
- set %%prefix in specfile to /opt/gnome
- update to version 2.0.7b
- added requires : gncore
* Mon Jun  5 2000 uli@suse.de
- moved docs to %%{_docdir}
* Tue Dec 14 1999 uli@suse.de
- New version 2.0.6
* Fri Sep 17 1999 kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul  8 1999 uli@suse.de
- New version 2.0.3
* Thu Jun 24 1999 uli@suse.de
- Spec file created from gftp-2.0.1.tar.gz by autospec
